unit uAppInfoUtils;

interface

function GetAppName: String;
function GetAppVersion: String;
function GetAppFullName: String;

implementation

uses
  Forms, SysUtils, JclFileUtils;

function GetAppName: String;
var
  FAppInfo : TJclFileVersionInfo;
begin
  FAppInfo := TJclFileVersionInfo.Create(Application.ExeName);
  try
    Result := FAppInfo.ProductName;
  finally
    FreeANDNil(FAppInfo);
  end;
end;


function GetAppVersion: String;
var
  FAppInfo : TJclFileVersionInfo;
begin
  FAppInfo := TJclFileVersionInfo.Create(Application.ExeName);
  try
    Result := FAppInfo.ProductVersion;
  finally
    FreeANDNil(FAppInfo);
  end;
end;

function GetAppFullName: String;
var
  FAppInfo : TJclFileVersionInfo;
begin
  FAppInfo := TJclFileVersionInfo.Create(Application.ExeName);
  try
    Result := FAppInfo.ProductName + ' ' + FAppInfo.ProductVersion;
  finally
    FreeANDNil(FAppInfo);
  end;
end;


end.
